// This file is part of help.eyeo.com.
// Copyright (C) 2017 Eyeo GmbH
//
// help.eyeo.com is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// help.eyeo.com is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with help.eyeo.com.  If not, see <http://www.gnu.org/licenses/>.

/*******************************************************************************
 * Pre Icon
 ******************************************************************************/

.has-pre-icon
{
  position: relative;
  @media (min-width: $phablet-breakpoint) {
    padding-left: 1.3em;
  }
}

[dir="rtl"] .has-pre-icon
{
  @media (min-width: $phablet-breakpoint) {
    padding-right: 1.3em;
    padding-left: auto;  
  }
}

.pre-icon
{
  display: none;
  @media (min-width: $phablet-breakpoint) {
    display: inline-block;
  }
  position: absolute;
  top: 50%;
  left: 0;
  width: $small-space;
  height: $small-space;
  margin-top: -$x-small-space - 0.05em; /* Height of .pre-icon minus 0.05em */
  background-repeat: no-repeat;
  background-position: center;
  background-size: 0.9em;
}

[dir="rtl"] .pre-icon
{
  right: 0;
  left: auto;
}
